title: league/commonmark
tagline: Markdown done right
description: PHP Markdown parser featuring support for CommonMark, GFM, and custom extensions
site_title: CommonMark for PHP
google_analytics_tracking_id: UA-137970568-1
repository: commonmark
default_version: '2.x'
releases:
  current:
    '2.x':
      documentation_link: '/2.x/'
  legacy:
    '1.x':
      documentation_link: '/1.x/'
author:
    name: Colin O'Dell
    twitter_account: colinodell
    website: https://www.colinodell.com
highlights:
    description: "The PHP <code>CommonMark</code> parser is a robust, highly-extensible Markdown parser for PHP based on the <a href=\"https://spec.commonmark.org/\">CommonMark</a> and <a href=\"https://github.github.com/gfm/\">GitHub-Flavored Markdown</a> specifications."
    features:
        - The only PHP library fully compatible with the CommonMark and GitHub-Flavored Markdown specs
        - Highly extensible architecture supports custom syntax and other customizations
        - Community extensions and integrations for popular frameworks and CMSes
        - Easy-to-use API
composer: "$ composer require league/commonmark"
